// +build ignore

// The makeversion program is run by go generate to compile a git tag
// into the tparse binary. It does nothing unless $GIT_TAG is set.
package main

import (
	"fmt"
	"io/ioutil"
	"log"
	"os"
)

func main() {
	log.SetPrefix("makeversion")
	log.SetFlags(0)

	version := os.Getenv("GIT_TAG")
	if version == "" {
		return
	}

	out := fmt.Sprintf(output, version)

	err := ioutil.WriteFile("gittag.go", []byte(out), 0664)
	if err != nil {
		log.Fatal(err)
	}
}

const output = `// Code generated by 'go run makeversion.go'. DO NOT EDIT.

package version

import (
	"fmt"
)

func init() {
	GitTag = fmt.Sprintf("%%s", %[1]q)
}
`
